package com.palmnest.application.dto;

import java.io.Serializable;
import java.util.List;

public class IndexMenuDto implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 5136804283024585640L;
	private Integer id;
	private String menuName;
	private Integer ordernum;
	private String iconUrl;
	private String menuCode;
	private Integer isGray;
	private Integer msgCount = 0;//未读消息数
	private List<IndexMenuDto> childList;
	private String grayUrl;

	public IndexMenuDto() {
		
	}

	public IndexMenuDto(Integer id, String menuName, Integer ordernum, String menuCode) {
		super();
		this.id = id;
		this.menuName = menuName;
		this.ordernum = ordernum;
		this.menuCode = menuCode;
	}

	public String getGrayUrl() {
		return grayUrl;
	}

	public void setGrayUrl(String grayUrl) {
		this.grayUrl = grayUrl;
	}

	public List<IndexMenuDto> getChildList() {
		return childList;
	}

	public void setChildList(List<IndexMenuDto> childList) {
		this.childList = childList;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getMenuName() {
		return menuName;
	}

	public void setMenuName(String menuName) {
		this.menuName = menuName;
	}

	public Integer getOrdernum() {
		return ordernum;
	}

	public void setOrdernum(Integer ordernum) {
		this.ordernum = ordernum;
	}

	public String getIconUrl() {
		return iconUrl;
	}

	public void setIconUrl(String iconUrl) {
		this.iconUrl = iconUrl;
	}

	public String getMenuCode() {
		return menuCode;
	}

	public void setMenuCode(String menuCode) {
		this.menuCode = menuCode;
	}

	public Integer getMsgCount() {
		return msgCount;
	}

	public void setMsgCount(Integer msgCount) {
		this.msgCount = msgCount;
	}

	public Integer getIsGray() {
		return isGray;
	}

	public void setIsGray(Integer isGray) {
		this.isGray = isGray;
	}
	
	
}
